# Enum Parameters.FailReason

java.lang.Object
java.lang.Enum<Parameters.FailReason>
org.apache.tomcat.util.http.Parameters.FailReason

All Implemented Interfaces:
  `Serializable`, `Comparable<Parameters.FailReason>`, `java.lang.constant.Constable`

Enclosing class:
  `Parameters`

public static enum Parameters.FailReason extends Enum<Parameters.FailReason>

## Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CLIENT_DISCONNECT`
`INVALID_CONTENT_TYPE`
`IO_ERROR`
`MULTIPART_CONFIG_INVALID`
`NO_NAME`
`POST_TOO_LARGE`
`REQUEST_BODY_INCOMPLETE`
Deprecated.
Unused.
`TOO_MANY_PARAMETERS`
`UNKNOWN`
`URL_DECODING`

## Method Summary

Modifier and Type
Method
Description
`static Parameters.FailReason`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Parameters.FailReason[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### CLIENT_DISCONNECT

public static final Parameters.FailReason CLIENT_DISCONNECT

### MULTIPART_CONFIG_INVALID

public static final Parameters.FailReason MULTIPART_CONFIG_INVALID

### INVALID_CONTENT_TYPE

public static final Parameters.FailReason INVALID_CONTENT_TYPE

### IO_ERROR

public static final Parameters.FailReason IO_ERROR

### NO_NAME

public static final Parameters.FailReason NO_NAME

### POST_TOO_LARGE

public static final Parameters.FailReason POST_TOO_LARGE

### REQUEST_BODY_INCOMPLETE

@Deprecated public static final Parameters.FailReason REQUEST_BODY_INCOMPLETE
Deprecated.
Unused. Will be removed in Tomcat 11.0.x onwards
Same as `CLIENT_DISCONNECT`.

### TOO_MANY_PARAMETERS

public static final Parameters.FailReason TOO_MANY_PARAMETERS

### UNKNOWN

public static final Parameters.FailReason UNKNOWN

### URL_DECODING

public static final Parameters.FailReason URL_DECODING

## Method Details

### values

public static Parameters.FailReason[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Parameters.FailReason valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null